CA Software Asset Manager 4.2.1 upgrade error on check installation with php_cli_executable

Document ID:  TEC1512711
Last Modified Date:  06/20/2017
{{active ? 'Hide' : 'Show'}} Technical Document Details

Products

  • CA Software Asset Manager
  • CA IT Asset Manager

Releases

  • CA Software Asset Manager:Release:12.9
  • CA IT Asset Manager:Release:14.1

Components

  • CA SOFTWARE ASSET MANAGER:CASAM
  • CA Asset Portfolio Management:ARGIS
  • ARGIS (WEB VERSION):ARGWEB
Issue:

When running the check installation after upgrading the CA SAM directories to 4.2.1, the check installation fails with an error related to the php_cli_executable

SAM421Upgrade_php_cli.jpg

Environment:
Upgrade from any CA Software Asset Manager 4.x release to CA Software Asset Manager 4.2.1
Cause:

There is a new config.ini entry for the php_cli_executable path that needs to be populated with a correct path. 

Resolution:

1.  Edit the config.ini file, located at:  \Program Files (x86)\CA\SAM\app\includes\prod\st

2.  Modify the php_cli_executable entry with the path to the php.exe  

     For example:  php_cli_executable = "C:\\Program Files (x86)\\CA\\SAM\\env\\php\\php.exe\\"    (backslashes and double quotes are required) 

Please help us improve!

Will this information enable you to resolve your issue?

Please tell us what we can do better.

{{feedbackText.length ? feedbackText.length : '0'}}/255

{{status}}

Not what you were looking for?

Search Again >

Product Information

Support by Product >

Communities

Join a Community >